# $Revision: 1.30 $, $Date: 2001/11/12 16:41:53 $
Summary:	Parallel Virtual Machine
Summary(es):	Mquina virtual paralela
Summary(pl):	Rozproszona Maszyna Wirtualna
Summary(pt_BR):	Mquina virtual paralela
Name:		pvm
Version:	3.4.4
Release:	1
License:	Free
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Source0:	ftp://ftp.netlib.org/pvm3/%{name}%{version}.tgz
Source1:	%{name}d.init
Source2:	ftp://www.netlib.org/pvm3/book/%{name}-book.ps
Patch0:		%{name}-aimk.patch
Patch1:		%{name}-noenv.patch
URL:		http://www.epm.ornl.gov/pvm/pvm_home.html
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRequires:	m4
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pvm_root 	%{_libdir}/pvm3
%ifarch %{ix86}
%define		_pvm_arch	LINUX
%else
%ifarch alpha
%define		_pvm_arch	LINUXALPHA
%else
%ifarch sparc sparc64
%define		_pvm_arch	LINUXSPARC
%else
%ifarch ppc
%define		_pvm_arch	LINUXPPC
%else
%ifarch hppa
%define		_pvm_arch	LINUXHPPA
%else
%error "Unsupported architecture"
exit 1
%endif
%endif
%endif
%endif
%endif

%description
PVM is a software system that enables a collection of heterogeneous
computers to be used as a coherent and flexible concurrent
computational resource.

The individual computers may be shared- or local-memory
multiprocessors, vector supercomputers, specialized graphics engines,
or scalar workstations, that may be interconnected by a variety of
networks, such as ethernet, FDDI.

User programs written in C, C++ or Fortran access PVM through library
routines.

%description -l es
PVM suministra una biblioteca de envo de mensajes y un ambiente que
puede configurarse en "runtime", en una gran variedad de plataformas
de multiprocesamiento.

%description -l pl
PVM jest systemem pozwalajcym na uywanie zestawu heterogenicznych
komputerw jako jednej maszyny.

%description -l pt_BR
O PVM prov uma biblioteca de envio de mensagens e ambiente que pode
ser configurado em "runtime", em uma variedade de plataformas de
multiprocessamento.

%package devel
Summary:	PVM header files and static libraries
Summary(es):	Archivos de inclusin y bibliotecas para pvm
Summary(pl):	Pliki nagwkowe i biblioteki statyczne PVM
Summary(pt_BR):	Arquivos de incluso e bibliotecas para o pvm
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
This package contains PVM header files and static libraries.

%description -l es devel
Este paquete contiene los archivos de inclusin y bibliotecas que se
necesitan para desarrollar programas que usan pvm.

%description devel -l pl
Pakiet zawiera pliki nagwkowe i biblioteki (statyczne) PVM.

%description -l pt_BR devel
Este pacote contm os arquivos de incluso e bibliotecas que so
necessrios para desenvolver programas que usam o pvm.

%package examples
Summary:	PVM examples
Summary(pl):	Przykady uycia PVM
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description examples
This package contains PVM examples written in C and Fortran, and book
written in English.

%description examples -l pl
Pakiet zawiera przykady uycia PVM napisane w C oraz Fortranie, a
take ksik po angielsku.

%prep 
%setup -q -n pvm3
%patch0 -p1
%patch1 -p1

%build
cp -f lib/aimk lib/aimk.tmp
sed -e "s!@PVM_ROOT@!%{_pvm_root}!" -e "s!@PVM_ARCH@!%{_pvm_arch}!" lib/aimk.tmp > lib/aimk

PCFLOPTS="%{rpmcflags} -DDEFBINDIR=\\\"%{_pvm_root}/pvm3/bin/\\\x24PVM_ARCH\\\""
PCFLOPTS="$PCFLOPTS -DDEFDEBUGGER=\\\"%{_bindir}/debugger2\\\""
PCFLOPTS="$PCFLOPTS -DPVMDPATH=\\\"%{_sbindir}/pvmd3\\\""
PCFLOPTS="$PCFLOPTS -DPVMROOT=\\\"%{_pvm_root}\\\""

PVM_ROOT=`pwd` make CFLOPTS="$PCFLOPTS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_pvm_root}/conf,%{_docdir}/%{name}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}/{examples,gexamples,hoster,misc,tasker,xep} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,3},/etc/rc.d/init.d,%{_sbindir}}

install %{SOURCE1}  $RPM_BUILD_ROOT/etc/rc.d/init.d/pvmd

install lib/%{_pvm_arch}/{pvm,pvmgs} $RPM_BUILD_ROOT%{_bindir}
install lib/%{_pvm_arch}/pvmd3 $RPM_BUILD_ROOT%{_sbindir}
install lib/debugger	$RPM_BUILD_ROOT%{_bindir}
install lib/debugger2	$RPM_BUILD_ROOT%{_bindir}
install lib/pvmgetarch	$RPM_BUILD_ROOT%{_bindir}
install lib/pvmtmparch	$RPM_BUILD_ROOT%{_bindir}
install lib/aimk	$RPM_BUILD_ROOT%{_bindir}
install conf/%{_pvm_arch}.def $RPM_BUILD_ROOT%{_pvm_root}/conf
install include/{fpvm3,pvm3,pvmproto,pvmtev}.h $RPM_BUILD_ROOT%{_includedir}
install lib/%{_pvm_arch}/lib*.a $RPM_BUILD_ROOT%{_libdir}

install man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
install man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3

# Examples
cp -rf examples gexamples hoster misc tasker xep $RPM_BUILD_ROOT%{_examplesdir}/%{name}
install %{SOURCE2}  $RPM_BUILD_ROOT%{_docdir}/%{name}/pvm-book.ps
gzip -9nf $RPM_BUILD_ROOT%{_docdir}/%{name}/pvm-book.ps

%clean
rm -rf $RPM_BUILD_ROOT

# NOTE: don't uncomment scripts unless you do something with this:
# Normal user can't use pvmd ran by another user (or root).
# User who wants to run pvm, runs his own copy of pvmd.

##%post
##/sbin/chkconfig --add pvmd
##if [ -f /var/lock/subsys/pvmd ]; then
##	/etc/rc.d/init.d/pvmd restart >&2
##else
##	echo "Run \"/etc/rc.d/init.d/pvmd start\" to start PVM daemon." >&2
##fi

##%preun
##if [ "$1" = "0" ]; then
##	if [ -f /var/lock/subsys/pvmd ]; then
##		/etc/rc.d/init.d/pvmd stop >&2
##	fi
##	/sbin/chkconfig --del pvmd
##fi

%files
%defattr(644,root,root,755)
##%attr(755,root,root) /etc/rc.d/init.d/pvmd
%attr(755,root,root) %{_bindir}/debugger
%attr(755,root,root) %{_bindir}/debugger2
%attr(755,root,root) %{_bindir}/pvmgetarch
%attr(755,root,root) %{_bindir}/pvmtmparch
%attr(755,root,root) %{_bindir}/pvm
%attr(755,root,root) %{_bindir}/pvmgs
%attr(755,root,root) %{_sbindir}/pvmd3
%dir %{_pvm_root}
%{_mandir}/man1/pvm*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aimk
%{_pvm_root}/conf
%{_includedir}/fpvm3.h
%{_includedir}/pvm3.h
%{_includedir}/pvmproto.h
%{_includedir}/pvmtev.h
%{_libdir}/libfpvm3.a
%{_libdir}/libgpvm3.a
%{_libdir}/libpvm3.a
%{_libdir}/libpvmtrc.a
%{_mandir}/man1/aimk.1*
%{_mandir}/man3/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}
%{_docdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pvm.spec,v $
Revision 1.30  2001/11/12 16:41:53  wiget
typo

Revision 1.29  2001/11/12 16:02:33  kloczek
- merge translations from CNV and adapterized spec.

Revision 1.28  2001/11/12 15:57:54  wiget
updated to 3.4.4

Revision 1.27  2001/11/12 15:07:38  wiget
fine grained architecture selection

Revision 1.26  2001/11/12 14:31:20  wiget
release 24
PVM_ROOT moved to %{_libdir}/pvm3
DEFBINDIR moved to PVM_ROOT/bin/PVM_ARCH

Revision 1.25  2001/10/03 16:40:31  filon
- added using %{name} macro in requires

Revision 1.24  2001/06/30 07:28:22  agaran
added m4 to buildrequires (no need to rebuild,nor $rel++)

Revision 1.23  2001/04/14 12:04:57  qboosh
- back commented out scripts and init file - see NOTE
  please don't uncomment it unless you change pvm behaviour
- removed "man fix" - man package was broken, now is fixed
- use %%rpmcflags, added pl translations
- release 23

Revision 1.22  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.21  2001/01/05 19:23:17  dobrek
- Added pvm-book.ps to examples subpackage.

Revision 1.20  2001/01/03 23:59:11  kloczek
- uncomment %post/%preun svcripts,
- release 22 (for allow upgrade from RH),
- merged RH vaargfix patch,
- added URL.

Revision 1.19  2001/01/03 21:41:12  qboosh
- update to 3.4.3
- updated noenv patch

Revision 1.18  2000/12/27 14:09:35  kloczek
- adapterized and few cosmetics.

Revision 1.17  2000/12/26 21:05:20  qboosh
- Release 4:
- devel and examples subpackages
- examples to %%{_examplesdir}, not %%{_docdir}
- fix manuals
- moved xpvm to separate package (xpvm)
- setting PVM_ROOT no longer needed

Revision 1.16  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.15  2000/12/21 20:43:19  qboosh
- Release 3:
- added xpvm (as subpackage)
- BuildRequires
- fixed links
- PVM_ROOT, XPVM_ROOT variables setting (through /etc/profile.d)

Revision 1.14  2000/11/01 18:42:49  dobrek
- Realase=2
- A lot of changes. in %install and %files. It seams that everything can
  be keept in placec which are in agreement with FHS.
- Now tested only on i386. But soon the AXP version will apear.
- pvmd.init added.

Revision 1.13  2000/05/02 21:23:16  baggins
- fixed version, minor cleanup

Revision 1.12  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.10  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.9  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
